> This page is for API, version Deprecated.
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
> - Beta: https://developer.deel.com/api/beta/llms.txt
> - Deprecated: https://developer.deel.com/api/deprecated/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Apps** → [Submit the listing of an app for review](/api/reference/endpoints/apps/submit-app-listing-v-2026-11-17): Endpoint is now available, which allows to submit the draft revision of an app's listing to Deel for review.

* **Apps** → [Update the listing of an app](/api/reference/endpoints/apps/update-app-listing-v-2026-11-17): Endpoint is now available, which allows to update the App Store listing of an app.

## Changed

* **Ats** → [Retrieve the ATS activity timeline](/api/reference/endpoints/ats/retrieve-a-list-of-ats-operation-history-logs-v-2026-10-28): Added `LOCATION_COMPENSATION_CREATED`, `LOCATION_COMPENSATION_UPDATED`, `LOCATION_COMPENSATION_DELETED`, `SCREENING_VERDICT_OVERRIDE_CREATED`, `SCREENING_VERDICT_OVERRIDE_UPDATED`, and `SCREENING_VERDICT_OVERRIDE_DELETED` as valid values for `operation_type` in the response.

* **Ats Job Postings** → [Retrieve ATS job posting](/api/reference/endpoints/ats-job-postings/retrieve-ats-job-posting): Added `period_slug` to `compensation`, `location_compensations` to `job`, and `job_location_id` to `publications` items in the response.

* **Ats Job Postings** → [Retrieve a list of ATS job postings](/api/reference/endpoints/ats-job-postings/retrieve-a-list-of-ats-job-postings): Added `period_slug` to `compensation`, `location_compensations` to `job`, and `job_location_id` to `publications` items in the response.

* **Contracts** → [List of contracts](/api/reference/endpoints/contracts/get-contracts): Added `waiting_for_legal_review` and `waiting_for_provider_sign` as valid values for `status` in the response. Added `waiting_for_approval`, `waiting_for_legal_review`, and `waiting_for_hris_employee_sign` as valid values for the `statuses` query parameter.

* **Contracts** → [Retrieve a single contract](/api/reference/endpoints/contracts/get-contract): Added `waiting_for_legal_review`, `waiting_for_provider_sign`, and `waiting_for_hris_employee_sign` as valid values for `status` in the response.

* **Immigration** → [List case notes](/api/reference/endpoints/immigration/list-case-notes-v-2026-08-10): Added `CLIENT_SHARED` as a valid value for `note_type` in the response.

* **Time Off** → [Get Work Schedule and Holidays](/api/reference/endpoints/time-off/get-time-off-dailies): Added `ATLAS` as a valid value for `source` in the response.